{% extends 'base.html' %}
{% load static %}
{% block extrahead %}
	<script type="text/javascript" src="{% static "datetimepicker/bootstrap-datetimepicker.js" %}"></script>
	<link rel="stylesheet" type="text/css" href="{% static "datetimepicker/bootstrap-datetimepicker.css" %}"/>
{% endblock %}
{% block title %}Reports{% endblock %}
{% block content %}
	<h1>Reports</h1>
	<h4>Use this form to select report type.</h4>
	<form id="report_select_form" method="post" class="form-horizontal" style="margin-top: 25px">
		{% csrf_token %}
		<div class="col-sm-8" style="padding-left: 0">
			<div class="col-sm-6">
				<div class="form-group">
					<label for="report_type">Select report type</label>
					<div class="col-sm-10" style="padding-right: 0; padding-left: 0;">
						<select id="report_type" name="report_type" class="form-control">
							<option value="">Select type</option>
							<option value="active_user">Active Users</option>
							{% if billing_invoices %}<option value="aging">Aging Schedule</option>{% endif %}
							<option value="area">Area Usage</option>
							<option value="cumulative_user">Cumulative Users</option>
							{% if billing_invoices %}<option value="facility">Facility Usage</option>{% endif %}
							<option value="groups">Group Breakdown</option>
							{% if billing_invoices %}<option value="invoice">Invoices</option>{% endif %}
							<option value="tool">Tool Usage</option>
						</select>
					</div>
					<div class="col-sm-2 text-center">
						<button id="id-submit" type="submit" class="btn btn-success">Confirm</button>
					</div>
				</div>
			</div>
		</div>
	</form>
	<script>
		$("#id-submit").click(function() {
			 if ($("#report_type").val() == 'tool') {
				 $("#report_select_form").attr("action","usage-events/");
			 } else if ($("#report_type").val() == 'active_user') {
			 	 $("#report_select_form").attr("action","active-users/");
			 } else if ($("#report_type").val() == 'cumulative_user') {
			 	 $("#report_select_form").attr("action","cumulative-users/");
			 } else if ($("#report_type").val() == 'groups') {
			 	 $("#report_select_form").attr("action","groups/");
			 } else if ($("#report_type").val() == 'facility') {
			 	 $("#report_select_form").attr("action","facility-usage/");
			 } else if ($("#report_type").val() == 'invoice') {
			 	 $("#report_select_form").attr("action","invoice/");
			 } else if ($("#report_type").val() == 'aging') {
			 	 $("#report_select_form").attr("action","aging-schedule/");
			 } else if ($("#report_type").val() == 'area') {
			 	 $("#report_select_form").attr("action","area-events/");
			 }

			document.getElementById('report_select_form').submit();
		});
	</script>
{% endblock %}